package egovframework.service.mapper;


import java.util.HashMap;
import java.util.List;
import egovframework.rte.psl.dataaccess.mapper.Mapper;
import egovframework.utill.PageCriteria;
import egovframework.vo.NoticeVO;

@Mapper
public interface NoticeMapper {
	
	int getNoticeTotalCount(HashMap<String, String> paramMap);
	
	List<NoticeVO> getNoticeList(PageCriteria criteria);
	
	void updateNoticeReadCount(HashMap<String, String> paramMap);
	
	NoticeVO getNotice(HashMap<String, String> paramMap);

}
